using System.ComponentModel;

namespace APT.BaseData.Domain.Enums
{
    public enum FMExtConnDestTypeEnum
    {
        SAP = 0,
        空 = 99,
    }

    public enum FMExtConnTypeEnum
    {
        同步数据 = 0,
        接口 = 1,
    }


    public enum TimeUnitEnum
    {
        秒 = 0,
        分 = 1,
        时 = 2,
        天 = 3,
    }


    public enum FMImportConfigSrcFieldTypeEnum
    {
        字段 = 0,
        固定值 = 1,
        ID字段 = 2,
    }

    public enum EntityFieldTypeEnum
    {
        实字段 = 0,
        虚字段 = 1,
        导航字段 = 2,
    }
    public enum FMNotificationTypeEnum
    {
        普通通知 = 0,
        临时通知 = 1,
    }
    public enum FMNotificationShowTypeEnum
    {
        弹窗 = 0,
        通知 = 1,
    }

    public enum FMNotificationClientTypeEnum
    {
        WEB后台 = 0,
        客户端 = 1,
        APP = 2,
        默认 = 99,
    }
    public enum FMNotificationOrgTypeEnum
    {
        本组织 = 0,
        本组织及下级组织 = 1,
        忽略组织 = 2,
    }

    public enum FMNotificationPermitTypeEnum
    {
        组织 = 0,
        用户 = 2,
        角色 = 3,
        /// <summary>
        /// 忽略任何条件，所有用户都能看到
        /// </summary>
        所有人 = 99,
    }
    /// <summary>
    /// 通知类型
    /// </summary>
    public enum FMNoticeType
    {
        短信 = 0,
        邮箱 = 1
    }

    /// <summary>
    /// 信息类型
    /// </summary>
    public enum FMMessageType
    {
        报警通知 = 0,
        调度通知 = 1,
        数据中断 = 2
    }
    /// <summary>
    /// 通知状态
    /// </summary>
    public enum FMNoticeStatus
    {
        等待发送 = 0,
        发送成功 = 1,
        发送失败 = 2
    }
    /// <summary>
    /// 通知类型
    /// </summary>
    public enum NOTICETYPE
    {
        /// <summary>
        /// 会议
        /// </summary>
        [Description("1747261")]
        Meeting = 5
    }

    public enum FMDepartmentType
    {
        部门 = 0,
        车间 = 1,
        班组 = 2,
        公司 = 3
    }

    public enum FMTureOrFalse
    {
        否 = 0,
        是 = 1,
    }

    public enum FMDepartmentStatus
    {
        职能部门 = 0,
        生产部门 = 1,
        安全部门 = 2,
    }
    /// <summary>
    /// 性别
    /// </summary>
    public enum FMSexEnum
    {
        女 = 0,
        男 = 1
    }
    /// <summary>
    /// （需同步修改BSMineTypeEditEnum）
    /// </summary>
    public enum FMProductionUnit
    {
        /// <summary>
        /// 选矿
        /// </summary>
        [Description("选矿厂")]
        MineChoose = 10,

        /// <summary>
        /// 尾矿
        /// </summary>
        [Description("尾矿库")]
        Minelast = 20,

        /// <summary>
        /// 露天矿
        /// </summary>
        [Description("露天矿")]
        Mine = 30,
        /// <summary>
        /// 地下矿
        /// </summary>
        [Description("地下矿")]
        MineUnderGround = 40,
    }

    /// <summary>
    /// 待办截止时间配置类型
    /// 规则 每个模块 预留50个枚举值 可以根据实际 相应加减
    /// </summary>
    public enum FMTASKTYPE
    {
        /// <summary>
        /// 默认限制时间 0
        /// </summary>
        [Description("默认限制时间")]
        Default = 0,

        #region      BS  0 -49

        /// <summary>
        /// 安全检查制表 1
        /// </summary>
        [Description("安全检查制表")]
        BS_SafeCheck_Make = 1,

        /// <summary>
        /// 安全检查制表审批 3
        /// </summary>
        [Description("安全检查制表审批")]
        BS_SafeCheck_Make_Audit = 3,

        /// <summary>
        /// 安全检查制表确认 5
        /// </summary>
        [Description("安全检查制表确认")]
        BS_SafeCheck_Make_Check = 5,

        /// <summary>
        /// 安全检查 7
        /// </summary>
        [Description("安全检查")]
        BS_SafeCheck = 7,

        /// <summary>
        /// 检查记录确认 9
        /// </summary>
        [Description("检查记录确认")]
        BS_SafeCheck_Check = 9,

        /// <summary>
        /// 检查记录审批 11
        /// </summary>
        [Description("检查记录审批")]
        BS_SafeCheck_Audit = 11,



        //流程待梳理

        /// <summary>
        /// 手动隐患上报(给对应负责人) 13
        /// </summary>
        [Description("手动隐患上报")]
        BS_RiskUp_PersonAdd = 13,

        /// <summary>
        /// 检查上报 15
        /// </summary>
        [Description("检查上报")]
        BS_Risk_Up = 15,

        /// <summary>
        /// 隐患上报审批流 19
        /// </summary>
        [Description("隐患上报审批流")]
        BS_RiskUp_Audit = 19,

        /// <summary>
        /// 指定整改责任人 验收人 21
        /// </summary>
        [Description("指定整改责任人 验收人")]
        BS_RiskUp_Persons = 21,

        /// <summary>
        /// 给验收人 发送信息 23
        /// </summary>
        [Description("给验收人 发送信息")]
        BS_RiskUp_Checker = 23,

        /// <summary>
        /// 给责任人 发送信息 25
        /// </summary>
        [Description("给责任人 发送信息")]
        BS_RiskUp_Deal = 25,

        /// <summary>
        /// 指定落实人 27
        /// </summary>
        [Description("指定落实人")]
        BS_RiskUp_ActualDeal = 27,

        /// <summary>
        /// 给落实人发送信息 29
        /// </summary>
        [Description("给落实人发送信息")]
        BS_RiskUp_ActualDealNotice = 29,

        /// <summary>
        /// 落实 31
        /// </summary>
        [Description("落实")]
        BS_RiskUp_DealRisk = 31,

        /// <summary>
        /// 延期申请 33
        /// </summary>
        [Description("延期申请")]
        BS_RiskUp_DealApply = 33,

        /// <summary>
        /// 延期申请审批 35
        /// </summary>
        [Description("延期申请审批")]
        BS_RiskUp_DealApply_Audit = 35,

        /// <summary>
        /// 责任人验收 37
        /// </summary>
        [Description("责任人验收")]
        BS_RiskUp_Deal_Check = 37,

        /// <summary>
        /// 验收人验收 39
        /// </summary>
        [Description("验收人验收")]
        BS_RiskUp_Checker_Check = 39,

        /// <summary>
        /// 验收审批 41
        /// </summary>
        [Description("验收审批")]
        BS_RiskUp_DealAudit = 41,

        #endregion

        #region HM 251~300
        /// <summary>
        /// 关键许可一般任务分析记录（次日23：59：59）
        /// </summary>
        [Description("关键许可一般任务分析记录")]
        JobtaskIdentify = 251,
        /// <summary>
        /// 作业现场（当日23：59：59）
        /// </summary>
        [Description("作业现场")]
        JobSite = 252,
        #endregion
        #region      SC

        #region    OH   51~100
        //职业危害监测  T_OH_HAZARD_MONITOR_JOB

        /// <summary>
        /// 职业危害因素监测 51
        /// </summary>
        [Description("职业危害因素监测")]
        OH_MonitorJob = 51,


        /// <summary>
        /// 职业危害因素监测预警 53
        /// </summary>
        [Description("职业危害因素监测预警")]
        OH_MonitorJob_Warm = 53,


        /// <summary>
        /// 职业危害未穿戴防护用品 55
        /// </summary>
        [Description("职业危害未穿戴防护用品")]
        OH_MonitorJob_NotWear = 55,

        /// <summary>
        /// 职业危害检测报告
        /// </summary>
        [Description("职业危害检测报告")]
        OH_MONITOR_JOB_Report = 57,

        /// <summary>
        /// 职业危害检测报告
        /// </summary>
        [Description("监测结果统计与分析汇总")]
        OH_MONITOR_RESULT_SUM = 59,

        /// <summary>
        /// 体检计划
        /// </summary>
        [Description("体检计划")]
        OH_EXAM_PLAN = 65,


        /// <summary>
        /// 体检计划汇总
        /// </summary>
        [Description("体检计划汇总")]
        OH_EXAM_PLAN_SUM = 67,

        /// <summary>
        /// 体检结果录入
        /// </summary>
        [Description("体检结果录入")]
        OH_EXAM_RESULT_IMPORT = 69,
        #endregion

        #region    TI 101 ~ 150

        /// <summary>
        /// 立项申请/任务书上报 101
        /// </summary>
        [Description("立项申请/任务书上报")]
        TI_PROJECT = 101,

        /// <summary>
        /// 项目结题验收 102
        /// </summary>
        [Description("项目结题验收")]
        TI_CHECK = 102,


        /// <summary>
        /// 项目经费管理 103
        /// </summary>
        [Description("项目经费管理")]
        TI_MONEY = 103,


        #endregion

        #region     CM 应急管理  151~200

        /// <summary>
        /// 应急装备需求调查确认 161
        /// </summary>
        [Description("应急装备需求调查确认")]
        CM_DEMAND_SURVEY_CHECK = 161,

        /// <summary>
        /// 应急装备需求调查管理员确认 163
        /// </summary>
        [Description("应急装备需求调查管理员确认")]
        CM_LIBRARY_MANAGE_CHECK = 163,


        /// <summary>
        /// 应急装备物资库存数量修改 165
        /// </summary>
        [Description("应急装备物资库存数量修改")]
        CM_LIBRARY_CHANGECOUNT = 165,

        #endregion

        #region     MT 会议管理  201 ~ 250

        /// <summary>
        /// 会议召开计划 201
        /// </summary>
        [Description("会议召开计划")]
        MT_PLAN_Make = 201,

        ///// <summary>
        ///// 参会确认 203  会议开始时间
        ///// </summary>
        //[Description("参会确认")]
        //MT_PLAN_JoinCheck = 203,

        /// <summary>
        /// 会议纪要填写 205
        /// </summary>
        [Description("纪要填写")]
        MT_MINUTES = 205,

        /// <summary>
        /// 纪要关联待办 207
        /// </summary>
        [Description("纪要关联待办")]
        MT_MINUTES_Notice = 207,


        //预留编号供扩展


        /// <summary>
        /// 纪要签到 225
        /// </summary>
        [Description("纪要明细签到")]
        MT_MINUTES_Sign = 225,

        /// <summary>
        /// 纪要签到 227
        /// </summary>
        [Description("纪要审批")]
        MT_MINUTES_Audit = 227,


        ///// <summary>
        ///// 纪要明细处理(责任人) 229   每条都有处理期限
        ///// </summary>
        //[Description("纪要明细处理")]
        //MT_MINUTES_DETAIL = 229,

        /// <summary>
        /// 纪要明细处理确认 231
        /// </summary>
        [Description("纪要明细处理确认")]
        MT_MINUTES_DETAIL_CHECK = 231,

        /// <summary>
        /// 纪要落实审批审批 233
        /// </summary>
        [Description("纪要落实审批审批")]
        MT_MINUTES_DEAL_Audit = 233,



        #endregion

        #endregion

    }


    /// <summary>
    /// 时间类型
    /// </summary>
    public enum FMTIMETYPE
    {
        /// <summary>
        /// 触发频率限制 5
        /// 限制每年/月/星期/日
        /// </summary>
        [Description("触发频率限制")]
        Frequency = 5,

        /// <summary>
        /// 特定日期限制 10
        /// 每年10月1号完成
        /// </summary>
        [Description("特定日期限制")]
        DateLimit = 10,

        /// <summary>
        /// 限制天数 20
        ///  n天内完成
        /// </summary>
        [Description("天数限制")]
        DayLimit = 20,

        /// <summary>
        /// 限制日期天数 30
        /// n天内完成 但是整单不能迟于yyyy-MM-dd
        /// </summary>
        [Description("日期天数限制")]
        DayDateLimit = 30,

    }

    /// <summary>
    /// 日志类型
    /// </summary>
    public enum SyncLogType
    {
        /// <summary>
        /// 制定任务
        /// </summary>
        [Description("制定任务")]
        BSCreateCheckPlanSet = 1,

        /// <summary>
        /// 制定任务班组级
        /// </summary>
        [Description("制定任务班组级")]
        BSCreateCheckPlanSetClass = 5,













        /// <summary>
        /// API响应时间 600 
        /// </summary>
        [Description("API响应时间")]
        APITimeResponsen = 600,
        /// <summary>
        /// API响应时间 600 
        /// </summary>
        [Description("API响应时间")]
        APITimeResponsenAPP = 601,
    }
}